---
lang: en
title: 'API docs: context.genericinterceptorchain.getinterceptors'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.genericinterceptorchain.getinterceptors.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [GenericInterceptorChain](./context.genericinterceptorchain.md) &gt; [getInterceptors](./context.genericinterceptorchain.getinterceptors.md)

## GenericInterceptorChain.getInterceptors property

A getter for an array of interceptor functions or binding keys

**Signature:**

```typescript
protected getInterceptors: () => GenericInterceptorOrKey<C>[];
```

